RekoSearch Logo
RekoSearch
AboutFAQPricingAPITOSPrivacyContact
Log InSign Up

API Documentation

Guide to integrating with the RekoSearch API

RekoSearch API Documentation

Base URL: https://rekosearch.com/api/v1

This documentation covers the user available endpoints for the RekoSearch API. For more details on the technical implementation and logicview on GitHub

API Sections
Additional Resources
Infrastructure DocsApplication Docs
User Endpoints

Get, update, and delete user information


/api/v1/user/profile

Get the current user's profile information.

Authentication Required: Yes

Headers:
Authorization: {token}
Successful Response:

Status: 200 OK

{
  "user_id": "1234567890",
  "first_name": "John",
  "last_name": "Doe",
  "username": "johndoe",
  "email": "john.doe@domain.com",
  "birthdate": "1990-01-01",
  "credits": 100,
  "total_jobs": 10,
  "creation_date": "2023-01-01T12:00:00Z",
  "tos_version": "2025-04-08",
  "pp_version": "2025-04-08",
  "tos_accepted": true,
  "pp_accepted": true
}
Error Responses:
Status CodeDescriptionResponse Body
401Unauthorized
{
  "message": "Unauthorized"
}
500Server Error
{
  "message": "Internal server failure message"
}
Example:
curl -X GET \
  https://rekosearch.com/api/v1/user/profile \
  -H 'Authorization: token123'

/api/v1/user/update

Update the current user's profile information: first name, last name, username, and birthdate.

Authentication Required: Yes

Headers:
Authorization: {token}
Content-Type: application/json
Accept: application/json
Request Body:
{
  "first_name": "John",
  "last_name": "Doe",
  "username": "johndoe",
  "birthdate": "2010-08-08"
}
Successful Response:

Status: 200 OK

{
  "message": "User attributes updated successfully"
}
Error Responses:
Status CodeDescriptionResponse Body
400Bad Request
{
  "message": "Error...",
  "example_format": {
    "field": "has to..."
  }
}
401Unauthorized
{
  "message": "Unauthorized"
}
500Server Error
{
  "message": "Internal server error"
}
Example:
curl -X POST \
  https://rekosearch.com/api/v1/user/update \
  -H 'Authorization: token123' \
  -H 'Content-Type: application/json' \
  -d '{
    "first_name": "John",
    "last_name": "Doe",
    "username": "johndoe",
    "birthdate": "2010-08-08"'